> For the complete documentation index, see [llms.txt](https://docs.rivaldev.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rivaldev.xyz/rival-tools/rival-pickaxes/configurations/mines.yml.md).

# mines.yml

```yaml
#https://docs.rivalsetups.xyz/plugins/rivalharvesterhoes/custom-drops
Custom-Drops:
  prestige-requirements: false
  drops:
    coal_mine:
      COAL_ORE:
        '1':
          material: COAL
          sell-price: 6.5
          essence: 3
          amount: 1-3
        '2':
          name: '&7&lEnchanted Coal'
          material: COAL
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 10
          essence: 3-5
    iron_mine:
      IRON_ORE:
        '1':
          material: IRON_INGOT
          sell-price: 10
          essence: 5
          amount: 1-3
        '2':
          name: '&f&lEnchanted Iron'
          material: IRON_INGOT
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 15
          essence: 5-8
    gold_mine:
      GOLD_ORE:
        '1':
          material: GOLD_INGOT
          sell-price: 15
          essence: 7
          amount: 1-3
        '2':
          name: '&e&lEnchanted Gold'
          material: GOLD_INGOT
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 20
          essence: 8-10
    redstone_mine:
      REDSTONE_ORE:
        '1':
          material: REDSTONE
          sell-price: 20
          essence: 10
          amount: 1-3
        '2':
          name: '&c&lEnchanted Redstone'
          material: REDSTONE
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 30
          essence: 10-14
    lapis_mine:
      LAPIS_ORE:
        '1':
          material: LAPIS_LAZULI
          sell-price: 25
          essence: 15
          amount: 1-3
        '2':
          name: '&b&lEnchanted Lapis'
          material: LAPIS_LAZULI
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 35
          essence: 15-20
    diamond_mine:
      DIAMOND_ORE:
        '1':
          material: DIAMOND
          sell-price: 35
          essence: 15
          amount: 1-3
        '2':
          name: '&b&lEnchanted Diamond'
          material: DIAMOND
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 40
          essence: 20-25
    emerald_mine:
      EMERALD_ORE:
        '1':
          material: EMERALD
          sell-price: 40
          essence: 20
          amount: 1-3
        '2':
          name: '&a&lEnchanted Emerald'
          material: EMERALD
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 50
          essence: 30-35
    nether_mine:
      NETHER_QUARTZ_ORE:
        '1':
          material: QUARTZ
          sell-price: 50
          essence: 35
          amount: 1-3
        '2':
          name: '&f&lEnchanted Quartz'
          material: QUARTZ
          enchants:
            - 'DURABILITY:1'
          flags:
            - 'HIDE_ENCHANTS'
          amount: 1-3
          level-requirement: 5
          sell-price: 70
          essence: 45-50
Natural-Blocks:
  settings:
    enabled: false
    regen-blocks: false
    custom-pick-only: false
    whitelisted-worlds:
      - 'all'
  blocks:
    COAL_ORE: coal_mine
    EMERALD_ORE: emerald_mine
Mines:
  coal_mine:
    reset-time: 10
    replace-material: BEDROCK
    materials:
      - COAL_ORE:100
  iron_mine:
    reset-time: 10
    replace-material: BEDROCK
    materials:
      - IRON_ORE:100
  gold_mine:
    reset-time: 10
    replace-material: BEDROCK
    materials:
      - GOLD_ORE:100
  redstone_mine:
    reset-time: 10
    replace-material: BEDROCK
    materials:
      - REDSTONE_ORE:100
  lapis_mine:
    reset-time: 10
    replace-material: BEDROCK
    materials:
      - LAPIS_ORE:100
  diamond_mine:
    reset-time: 15
    replace-material: BEDROCK
    materials:
      - DIAMOND_ORE:100
  emerald_mine:
    reset-time: 15
    replace-material: BEDROCK
    materials:
      - EMERALD_ORE:100
  nether_mine:
    reset-time: 15
    replace-material: BEDROCK
    materials:
      - NETHER_QUARTZ_ORE:100
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rivaldev.xyz/rival-tools/rival-pickaxes/configurations/mines.yml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
